Subject: Re: [Tsvwg] General queries on sctp

From: "Mohammed Ashraf" <[email-masked]>
Date: Wed, 05 Dec 2001 20:26:59 +0500

Randy,
Thanks for ur reply
> The above secenario is legal as long as the implementation is allowing
> subset binding. Now in most socket implementations you can bind
> one address or all addresses... so in your description above
> two applications have bound one address each with the same port.
> This is valid and the receiving implementation needs to use
> not only the destination ip/port but also the source ip/port to
> do the demux. The new sockets API we propose also adds sctp_bindx()
> which will allow more than one address to be individually bound
> to a socket thus allowing say a host with 3 addresses IP-1,IP-2
> and IP-3 to have two application endpoints where one ep is
> IP-1/IP-2+PortY and the other IP-3+PortY.
> 
> Why you really need to do this I am not sure, but it is legal..
> 
I was just thinking whether the tranport layer should provide this kind
of flexibility to the SCTP user.SO is it an implementor's choice.? i.e
not allowing subset binding will lead to any protocol violation?

	Iam not sure whether this is valid scenario(correct me if iam wrong)
	Two apps server (one is active and other is standby) has to listen on a
well defined port. And the client needs to have two seperate
associations -
	-one to active and 
	- other two standby.. 
so when active apps server is down he can switch to standby without any
delay(delay in establishing an association)

Thanks,
Mohd. Ashraf

---

From: Randall Stewart <[email-masked]>
Date: Wed, 05 Dec 2001 10:36:44 -0600

> delay(delay in establishing an association)

Could be a valid scenario... don't know.. depends on the app. However
it is NOT a protocol violation for a implementation to NOT support
sub-set binding... I don't see how it can be. This is where voting
with your feet .. i.e. find a vendor that supplies a stack that
DOES do sub-set binding if you need it. I know the kame SCTP stack
WILL support this... need to do some more testing on it though.. sigh..

R

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Janardhan Iyengar <[email-masked]>
Date: Wed, 5 Dec 2001 11:51:11 -0500 (EST)

> delay(delay in establishing an association)

I don't understand what you mean by an app server going down.. if it is an
application layer server, then if your server goes down, its a software
bug in the app. If the host machine goes down, nothing much can be done.
SCTP failover provides for the case where an interface/path goes down.

regards,
jana

-----------------------------------------------------------------------
Janardhan R. Iyengar				   [email-masked]
University of Delaware		       http://www.cis.udel.edu/~iyengar
-----------------------------------------------------------------------